repa-3.2.3.3: High performance, regular, shape polymorphic parallel arrays.

Safe Haskell | None

Data.Array.Repa.Repr.Partitioned

Synopsis

- data P r1 r2
- data Range sh = Range !sh !sh (sh -> Bool)
- inRange :: Range sh -> sh -> Bool

# Documentation

data P r1 r2 Source

Partitioned arrays. The last partition takes priority

These are produced by Repa's support functions and allow arrays to be defined using a different element function for each partition.

The basic idea is described in ``Efficient Parallel Stencil Convolution'', Ben Lippmeier and Gabriele Keller, Haskell 2011 -- though the underlying array representation has changed since this paper was published.

Instances

(Source r1 e, Source r2 e) => Source (P r1 r2) e | Read elements from a partitioned array.
(LoadRange r1 sh e, Load r2 sh e) => Load (P r1 r2) sh e |
(Structured r1 a b, Structured r2 a b) => Structured (P r1 r2) a b |

data Range sh Source

Constructors

Range !sh !sh (sh -> Bool) |

inRange :: Range sh -> sh -> Bool Source

Check whether an index is within the given range.